<div class="verify-vacancy">
    <form [formGroup]="VerifyVacancyform"> 
  <app-content-banner [isDashboard]="false" pageName="Unit Profile"></app-content-banner>
  <mat-card  class="vv-main-card mat-elevation-z0"> 
      <mat-card-header  fxLayout="column" fxLayoutGap="5px">
         
          <div fxLayout="row" class="second-header-filter">
            <span><b>Agency Name: </b> <span>{{verifyVacanyUnitdata.agencyName}}</span></span>
             <span><b>Site Name: </b> <span>{{verifyVacanyUnitdata.siteName}}</span></span>
             <span><b>Site Address: </b> <span>{{verifyVacanyUnitdata.siteAddress}}</span></span>
             <span><b>Primary Funding Source: </b> <span>{{verifyVacanyUnitdata.primaryserviceContarctName}}-{{verifyVacanyUnitdata.populationName}}</span></span>
           
           </div>
        </mat-card-header>
        <mat-card-content class="example-container mat-elevation-z4 regular-mat-form-field" fxLayout="column" fxLayoutGap="5px">
                <div fxLayout="row">
                        <label>&nbsp;  &nbsp; </label>
                </div>    
            <div fxLayout="row" fxLayoutAlign="left center">
                <div fxFlex="10" >&nbsp;</div>
                <div fxFlex="30" >Is the Interview location same as the site  </div>
                <div fxFlex="30">
                    <mat-radio-group  formControlName="interviewLocationctrl" [(ngModel)] ="verifyVacanyUnitdata.sameAsSiteInterviewAddressType"  appearance="outline" fxLayoutGap="20px"  >
                        <mat-radio-button  *ngFor="let interviewLocation of interviewLocations" [value]="interviewLocation.refGroupDetailID">
                            {{interviewLocation.refGroupDetailDescription}}
                            </mat-radio-button>
                  </mat-radio-group >
                </div> 
            </div>
            <div fxLayout="row">
                    <label>&nbsp;  &nbsp; </label>
            </div> 
             <div *ngIf="verifyVacanyUnitdata.sameAsSiteInterviewAddressType === 34" >
                    <div fxLayout="row"     >
                            <div fxFlex="30" fxLayoutAlign="center center" >
                                    <label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Address &nbsp; </label>  
                                    <mat-form-field appearance="outline"  style='width:300px'   >  
                                    <textarea matInput required maxlength="200" rows="2" class="txtuppercase" formControlName="interviewAddressCtrl"  [(ngModel)] ="verifyVacanyUnitdata.interviewAddress" maxlength="200"  
                                        cdkTextareaAutosize   cdkAutosizeMinRows="2"   cdkAutosizeMaxRows="4">
                                    </textarea>
                                </mat-form-field>
                            </div> 
                            <div fxFlex="20" fxLayoutAlign="center center"  >
                                    <label > City &nbsp; </label>  
                                    <mat-form-field appearance="outline"  style='width:150px'   >
                                    <input matInput type="text" class="txtuppercase" formControlName="interviewCityCtrl"  [(ngModel)] ="verifyVacanyUnitdata.interviewCity" max="50"  />
                                    </mat-form-field>
                            </div>  
                                <div fxFlex="15" fxLayoutAlign="center center" >
                                        <label > State &nbsp;  </label>  
                                        <mat-form-field appearance="outline" style='width:100px' >
                                        <input matInput type="text" class="txtuppercase" formControlName="interviewStateCtrl" [(ngModel)] ="verifyVacanyUnitdata.interviewState"  maxlength="2"   />
                                        </mat-form-field>
                                </div> 
                                <div fxFlex="15" fxLayoutAlign="center center"  >
                                        <label > Zip &nbsp; </label> 
                                        <mat-form-field appearance="outline" style='width:100px' >
                                        <input matInput digitOnly formControlName="interviewZipCtrl"  [(ngModel)] ="verifyVacanyUnitdata.interviewZip" maxlength="5"   />
                                        </mat-form-field>
                                </div> 
                               
                                <div fxFlex="20" fxLayoutAlign="center center" >
                                        <label  > Phone &nbsp;   </label>  
                                        <mat-form-field appearance="outline" style='width:100px' >
                                        <input matInput id="interviewPhoneCtrl" [ngModel] ="verifyVacanyUnitdata.interviewPhone" formControlName="interviewPhoneCtrl"  
                                        [showMaskTyped]="true"  mask="000-000-0000" />
                                        </mat-form-field>
                                </div> 
                            </div> 
               </div> 
               </mat-card-content>
        <mat-card-content class="example-container mat-elevation-z4 regular-mat-form-field" fxLayout="column" fxLayoutGap="5px">
                <div fxLayout="row">
                        <label>&nbsp;  &nbsp; </label>
                </div>     
            <div fxLayout="row">
                      <div fxFlex="20" fxLayoutGap="5px" >
                          <span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Unit Name:&nbsp;<span>{{verifyVacanyUnitdata.unitName}}</span></span>
                      </div>
                  
                    <div fxFlex="30"  fxLayoutAlign="right center" >
                        <span>Unit Address:&nbsp; <span>{{verifyVacanyUnitdata.unitAddress}}</span></span>
                    </div>
                </div>  
                <div fxLayout="row">
                        <label>&nbsp;  &nbsp; </label>
                </div>   
                <div fxLayout="row" >
                        <div fxFlex="20" fxLayoutAlign="right center"  fxLayoutGap="5px" >
                                <label  >&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Unit features&nbsp;</label>
                        </div> 
                        <div   fxFlex="30"  fxLayoutAlign="right center" >
                               
                                <mat-form-field   style="width: 400px;" appearance="outline"><mat-select formControlName="unitFeaturesCtrl"  [(ngModel)] ="unitFeatureData"  multiple>
                                <mat-option *ngFor="let feature of unitFeatures" [value]="feature.refGroupDetailID">{{feature.refGroupDetailDescription}}</mat-option>
                                </mat-select></mat-form-field>
                          </div>
                </div>
                <div fxLayout="row" >
                       
                        <div fxFlex="20" class="required-label-color"  fxLayoutAlign="right center" >
                            <label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Unit Type &nbsp; </label>
                         </div>    
                         <div fxFlex="30" fxLayoutAlign="left center" >
                        <mat-form-field  appearance="outline" style="width: 400px;"><mat-select formControlName="unitTypeCtrl" [(ngModel)]="verifyVacanyUnitdata.unitType">
                          <mat-option *ngFor="let unitType of unitTypes" [value]="unitType.refGroupDetailID">{{unitType.refGroupDetailDescription}}</mat-option>
                      </mat-select></mat-form-field>
                     </div> 
                </div>
                  <div fxLayout="row" >
                    
                        <div fxFlex="20" class="required-label-color" fxLayoutAlign="right center" >
                         <label >&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Unit Status  </label>
                         </div>
                         <div fxFlex="30" fxLayoutAlign="left center" >
                            <mat-form-field  appearance="outline" style="width: 400px;" ><mat-select formControlName="unitStatusCtrl" [(ngModel)]="verifyVacanyUnitdata.modifiedUnitStatus">
                                <mat-option *ngFor="let unitStatus of unitStatusesfiltered" [value]="unitStatus.refGroupDetailID">{{unitStatus.refGroupDetailDescription}}</mat-option>
                            </mat-select></mat-form-field>
                        </div>
                  </div>
                  <div fxLayout="row"  *ngIf="( verifyVacanyUnitdata.vcuadminVerificationStatus === 608 && savedisabled === false )">
                        
                        <div fxFlex="20" fxLayoutAlign="right center" >
                            <label  >&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Vacancy Verification Status &nbsp; </label>
                        </div>
                        <div fxFlex="30"   fxLayoutAlign="left center" >
                        <mat-form-field  appearance="outline" style="width: 400px;"><mat-select formControlName="unitVerificationStatusCtrl" [ngModel]="verifyVacanyUnitdata.vcuadminVerificationStatus">
                            <mat-option *ngFor="let unitverificationStatus of unitVerificationStatuses" [value]="unitverificationStatus.refGroupDetailID">{{unitverificationStatus.refGroupDetailDescription}}</mat-option>
                        </mat-select></mat-form-field>
                        </div>
                    </div>
                      <div fxLayout="row"  *ngIf="verifyVacanyUnitdata.modifiedUnitStatus === 473">
                          
                            <div fxFlex="20" class="required-label-color" fxLayoutAlign="right center" >
                              <label  >&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Please select the offline reason &nbsp; </label>
                            </div>
                            <div fxFlex="30"  fxLayoutAlign="left center" >
                                <mat-form-field  appearance="outline" style="width: 400px;"><mat-select formControlName="unitOfflineReasonCtrl" [(ngModel)]="verifyVacanyUnitdata.offlineReasonType">
                                    <mat-option *ngFor="let unitOfflineReason of unitOfflineReasons" [value]="unitOfflineReason.unitOfflineReasonID">{{unitOfflineReason.unitOfflineReasonDescription}}</mat-option>
                                </mat-select></mat-form-field>
                            </div>
                          </div> 
                          <div fxLayout="row" *ngIf="verifyVacanyUnitdata.modifiedUnitStatus === 473">
                              
                                <div fxFlex="20" class="required-label-color" fxLayoutAlign="right center"   >
                                <label  >&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Please enter expected available date  &nbsp; </label>
                                </div>
                                <div fxFlex="30" fxLayoutAlign="left center"  >
                                <mat-form-field appearance="outline" >
                                <input matInput [matDatepicker]="picker" placeholder="MM/DD/YYYY" [(ngModel)] ="verifyVacanyUnitdata.expectedAvailableDate" formControlName="unitExpectedAvailableDateCtrl" >
                                                <mat-icon matSuffix (click)="picker.open()" style="cursor:pointer; color:#777;">today
                                                </mat-icon>
                                                <mat-datepicker #picker></mat-datepicker>
                                </mat-form-field>
                                </div>
                              </div>   
                        <div fxLayout="row" >
                                <div fxFlex="20" fxLayoutAlign="right center" >
                                    <label  >&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Additional Comments  &nbsp; </label>
                                </div>   
                                <div fxFlex="30" fxLayoutAlign="left center"  > 
                                     <mat-form-field appearance="outline"  style='width:400px'   >  
                                     <textarea matInput required maxlength="200" rows="4" class="txtuppercase"  formControlName="unitaddlComment"  
                                      [(ngModel)] ="verifyVacanyUnitdata.addlComment" maxlength="200" cdkTextareaAutosize   cdkAutosizeMinRows="2"   cdkAutosizeMaxRows="7"> > 
                                     </textarea>
                                     </mat-form-field>
                                 </div>    
                         </div>         
                         <div fxLayout="row"  *ngIf= "historydataAvailable === true">
                                <div fxFlex="20" fxLayoutAlign="right center"   >
                                        <label  >&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </label>
                                        </div>
                                <div fxFlex="50" fxLayoutAlign="left center"  >
                                        <span><b>Previous History </b></span>
                                </div>   
                         </div>  
                         <div fxLayout="row" fxLayoutAlign="left center" *ngIf= "historydataAvailable === true">
                                <div fxFlex="20" fxLayoutAlign="right center"   >
                                <label  >&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </label>
                                </div>
                            <div fxFlex="50"  >
                                        <ag-grid-angular #historyAgGrid id="historyMyGrid" style="width: 100%"
                                        class="ag-theme-balham my-grid" [columnDefs]="historyColumnDefs"
                                        [defaultColDef]="defaultColDef" [rowData]="historyRowData" [context]="context"
                                        [floatingFilter]="false" [animateRows]="true" [gridOptions]="historygridOptions" [pagination]="true"
                                        [paginationPageSize]="20" [frameworkComponents]="frameworkComponents"
                                        (gridReady)="onHistoryGridReady($event)">
                                    </ag-grid-angular>
                            </div>   
                     </div>  
                
          </mat-card-content>
          
          <div fxLayout="row"   fxLayoutGap="10px"  fxLayoutAlign="center"   >
             <button type="button" mat-raised-button color="primary" matTooltip="Save"
          (click)="SaveVV()" [disabled]="savedisabled">Save</button>
          <button type="button" mat-raised-button color="primary" matTooltip="Exit"
          (click)="exitClick()" >Exit</button>
          </div>  

      
  </mat-card>
  
  </form>
</div>